Performs the Calculate Best Direct Cost sell action for an order release
post
/custom-actions/calculateDirectCostSell/orderReleases/{order release id}
Request
Path Parameters
Header Parameters
-
Prefer: string
An optional header parameter that allows you to process the request asynchronously. Set the request header "Prefer" to "respond-async" for asynchronous processing. For synchronous processing, leave the parameter blank or do not define it.
Supported Media Types
- application/json
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Nested Schema : calculateDirectCostSellResponse-allOf[1]
Type:
Show Source
object-
items: array
items
Calculates the direct cost sell response for an order release.
Nested Schema : items
Type:
arrayCalculates the direct cost sell response for an order release.
Show Source
Nested Schema : calculateDirectCostSellResultItem
Type:
Show Source
object-
bestDirectCostSell:
bestDirectCostSell
The best direct cost sell value.
-
msg: string
An order release message or exception message.
-
orderReleasePk: string
The primary key for the order release.
-
rateOfferingXidSell: string
The rate offering XID sell.
Nested Schema : bestDirectCostSell
The best direct cost sell value.
Match All
The best direct cost sell value.
Show Source
Nested Schema : currencyType
Type:
Show Source
object-
currency: string
ISO 4217 currency code
-
value: number
Numeric value that specifies a currency
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.